-- natures de niveau 1
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'PRINCIPAL', 'Principal', 1, '1', 3, 0, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'ANNEXE', 'Annexe', 1, '1', 2, 1, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'EPRD', 'Annexe EPRD', 1, '1', 3, 2, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'NON_EPRD', 'Annexe Non EPRD', 1, '1', 3, 3, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'SIE', 'Service inter-établissement', 1, '-', 3, 4, 1);

-- inserer les natures disponibles au niveau 2
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'CENTRE_DEPENSES', 'Centre de dépenses', 2, '2', 3, 0, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'BPI_IUT', 'IUT', 2, '2', 3, 1, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'BPI_ESPE', 'Ecole Supérieure du professorat et de l''éducation', 2, '2', 3, 2, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'BPI_ECOLE_INTERNE', 'Ecole interne', 2, '2', 3, 3, 1);
insert into jefy_admin.TYPE_NATURE_BUDGET(TNB_ID, TNB_CODE, TNB_LIBELLE, TNB_NIVEAU_ORGAN, TNB_NIVEAU_COFISUP, TNB_CATEGORIE, TNB_ORDRE_AFFICHAGE, TYET_ID)
     values (jefy_admin.TYPE_NAT_BUD_SEQ.NEXTVAL, 'BPI_AUTRE', 'Autres composantes', 2, '2', 3, 4, 1);

commit;


